
From: Nikita Danilov <Nikita@Namesys.COM>

Replace all existing usages of __attribute__((const)) with
__attribute_const__.



---

 25-akpm/arch/ia64/kernel/unwind.c       |    2 +-
 25-akpm/drivers/usb/class/audio.c       |    4 ++--
 25-akpm/include/asm-alpha/byteorder.h   |    2 +-
 25-akpm/include/asm-arm/current.h       |    2 +-
 25-akpm/include/asm-arm/thread_info.h   |    2 +-
 25-akpm/include/asm-arm26/current.h     |    2 +-
 25-akpm/include/asm-arm26/thread_info.h |    2 +-
 25-akpm/include/asm-m68k/virtconvert.h  |    4 ++--
 25-akpm/include/asm-ppc/io.h            |    2 +-
 25-akpm/include/asm-ppc/pgtable.h       |    2 +-
 25-akpm/include/asm-sparc/btfixup.h     |   14 +++++++-------
 25-akpm/include/asm-sparc/pgtable.h     |   20 ++++++++++----------
 25-akpm/include/linux/reiserfs_fs.h     |    2 +-
 13 files changed, 30 insertions(+), 30 deletions(-)

diff -puN arch/ia64/kernel/unwind.c~use-attribute-const-everywhere arch/ia64/kernel/unwind.c
--- 25/arch/ia64/kernel/unwind.c~use-attribute-const-everywhere	Tue Jan 20 12:41:44 2004
+++ 25-akpm/arch/ia64/kernel/unwind.c	Tue Jan 20 12:41:44 2004
@@ -650,7 +650,7 @@ free_state_stack (struct unw_reg_state *
 
 /* Unwind decoder routines */
 
-static enum unw_register_index __attribute__((const))
+static enum unw_register_index __attribute_const__
 decode_abreg (unsigned char abreg, int memory)
 {
 	switch (abreg) {
diff -puN drivers/usb/class/audio.c~use-attribute-const-everywhere drivers/usb/class/audio.c
--- 25/drivers/usb/class/audio.c~use-attribute-const-everywhere	Tue Jan 20 12:41:44 2004
+++ 25-akpm/drivers/usb/class/audio.c	Tue Jan 20 12:41:44 2004
@@ -203,12 +203,12 @@
 
 #define AUDIO_DEBUG 1
 
-#define SND_DEV_DSP16   5 
+#define SND_DEV_DSP16   5
 
 #define dprintk(x)
 
 #undef abs
-extern int abs(int __x) __attribute__ ((__const__)); /* Shut up warning */
+extern int abs(int __x) __attribute_const__; /* Shut up warning */
 
 /* --------------------------------------------------------------------- */
 
diff -puN include/asm-alpha/byteorder.h~use-attribute-const-everywhere include/asm-alpha/byteorder.h
--- 25/include/asm-alpha/byteorder.h~use-attribute-const-everywhere	Tue Jan 20 12:41:44 2004
+++ 25-akpm/include/asm-alpha/byteorder.h	Tue Jan 20 12:41:44 2004
@@ -6,7 +6,7 @@
 
 #ifdef __GNUC__
 
-static __inline __u32 __attribute__((__const)) __arch__swab32(__u32 x)
+static __inline __u32 __attribute_const__ __arch__swab32(__u32 x)
 {
 	/*
 	 * Unfortunately, we can't use the 6 instruction sequence
diff -puN include/asm-arm26/current.h~use-attribute-const-everywhere include/asm-arm26/current.h
--- 25/include/asm-arm26/current.h~use-attribute-const-everywhere	Tue Jan 20 12:41:44 2004
+++ 25-akpm/include/asm-arm26/current.h	Tue Jan 20 12:41:44 2004
@@ -3,7 +3,7 @@
 
 #include <linux/thread_info.h>
 
-static inline struct task_struct *get_current(void) __attribute__ (( __const__ ));
+static inline struct task_struct *get_current(void) __attribute_const__;
 
 static inline struct task_struct *get_current(void)
 {
diff -puN include/asm-arm26/thread_info.h~use-attribute-const-everywhere include/asm-arm26/thread_info.h
--- 25/include/asm-arm26/thread_info.h~use-attribute-const-everywhere	Tue Jan 20 12:41:44 2004
+++ 25-akpm/include/asm-arm26/thread_info.h	Tue Jan 20 12:41:44 2004
@@ -71,7 +71,7 @@ struct thread_info {
 /*
  * how to get the thread information struct from C
  */
-static inline struct thread_info *current_thread_info(void) __attribute__ (( __const__ ));
+static inline struct thread_info *current_thread_info(void) __attribute_const__;
 
 static inline struct thread_info *current_thread_info(void)
 {
diff -puN include/asm-arm/current.h~use-attribute-const-everywhere include/asm-arm/current.h
--- 25/include/asm-arm/current.h~use-attribute-const-everywhere	Tue Jan 20 12:41:44 2004
+++ 25-akpm/include/asm-arm/current.h	Tue Jan 20 12:41:44 2004
@@ -3,7 +3,7 @@
 
 #include <linux/thread_info.h>
 
-static inline struct task_struct *get_current(void) __attribute__ (( __const__ ));
+static inline struct task_struct *get_current(void) __attribute_const__;
 
 static inline struct task_struct *get_current(void)
 {
diff -puN include/asm-arm/thread_info.h~use-attribute-const-everywhere include/asm-arm/thread_info.h
--- 25/include/asm-arm/thread_info.h~use-attribute-const-everywhere	Tue Jan 20 12:41:44 2004
+++ 25-akpm/include/asm-arm/thread_info.h	Tue Jan 20 12:41:44 2004
@@ -76,7 +76,7 @@ struct thread_info {
 /*
  * how to get the thread information struct from C
  */
-static inline struct thread_info *current_thread_info(void) __attribute__ (( __const__ ));
+static inline struct thread_info *current_thread_info(void) __attribute_const__;
 
 static inline struct thread_info *current_thread_info(void)
 {
diff -puN include/asm-m68k/virtconvert.h~use-attribute-const-everywhere include/asm-m68k/virtconvert.h
--- 25/include/asm-m68k/virtconvert.h~use-attribute-const-everywhere	Tue Jan 20 12:41:44 2004
+++ 25-akpm/include/asm-m68k/virtconvert.h	Tue Jan 20 12:41:44 2004
@@ -19,8 +19,8 @@
  * Change virtual addresses to physical addresses and vv.
  */
 #ifndef CONFIG_SUN3
-extern unsigned long mm_vtop(unsigned long addr) __attribute__ ((const));
-extern unsigned long mm_ptov(unsigned long addr) __attribute__ ((const));
+extern unsigned long mm_vtop(unsigned long addr) __attribute_const__;
+extern unsigned long mm_ptov(unsigned long addr) __attribute_const__;
 #else
 static inline unsigned long mm_vtop(unsigned long vaddr)
 {
diff -puN include/asm-ppc/io.h~use-attribute-const-everywhere include/asm-ppc/io.h
--- 25/include/asm-ppc/io.h~use-attribute-const-everywhere	Tue Jan 20 12:41:44 2004
+++ 25-akpm/include/asm-ppc/io.h	Tue Jan 20 12:41:44 2004
@@ -211,7 +211,7 @@ extern void *ioremap64(unsigned long lon
 #define ioremap_nocache(addr, size)	ioremap((addr), (size))
 extern void iounmap(void *addr);
 extern unsigned long iopa(unsigned long addr);
-extern unsigned long mm_ptov(unsigned long addr) __attribute__ ((const));
+extern unsigned long mm_ptov(unsigned long addr) __attribute_const__;
 extern void io_block_mapping(unsigned long virt, phys_addr_t phys,
 			     unsigned int size, int flags);
 
diff -puN include/asm-ppc/pgtable.h~use-attribute-const-everywhere include/asm-ppc/pgtable.h
--- 25/include/asm-ppc/pgtable.h~use-attribute-const-everywhere	Tue Jan 20 12:41:44 2004
+++ 25-akpm/include/asm-ppc/pgtable.h	Tue Jan 20 12:41:44 2004
@@ -626,7 +626,7 @@ extern void cache_clear(__u32 addr, int 
 extern void cache_push(__u32 addr, int length);
 extern int mm_end_of_chunk (unsigned long addr, int len);
 extern unsigned long iopa(unsigned long addr);
-extern unsigned long mm_ptov(unsigned long addr) __attribute__ ((const));
+extern unsigned long mm_ptov(unsigned long addr) __attribute_const__;
 
 /* Values for nocacheflag and cmode */
 /* These are not used by the APUS kernel_map, but prevents
diff -puN include/asm-sparc/btfixup.h~use-attribute-const-everywhere include/asm-sparc/btfixup.h
--- 25/include/asm-sparc/btfixup.h~use-attribute-const-everywhere	Tue Jan 20 12:41:44 2004
+++ 25-akpm/include/asm-sparc/btfixup.h	Tue Jan 20 12:41:44 2004
@@ -39,7 +39,7 @@ extern unsigned int ___illegal_use_of_BT
 	extern __type ___f_##__name(__args);						\
 	extern unsigned ___fs_##__name[3];
 #define BTFIXUPDEF_CALL_CONST(__type, __name, __args...) 				\
-	extern __type ___f_##__name(__args) __attribute__((const));			\
+	extern __type ___f_##__name(__args) __attribute_const__;			\
 	extern unsigned ___fs_##__name[3];
 #define BTFIXUP_CALL(__name) ___f_##__name
 
@@ -49,7 +49,7 @@ extern unsigned int ___illegal_use_of_BT
 /* Put bottom 13bits into some register variable */
 
 #define BTFIXUPDEF_SIMM13(__name)							\
-	extern unsigned int ___sf_##__name(void) __attribute__((const));		\
+	extern unsigned int ___sf_##__name(void) __attribute_const__;		\
 	extern unsigned ___ss_##__name[2];						\
 	extern __inline__ unsigned int ___sf_##__name(void) {				\
 		unsigned int ret;							\
@@ -57,7 +57,7 @@ extern unsigned int ___illegal_use_of_BT
 		return ret;								\
 	}
 #define BTFIXUPDEF_SIMM13_INIT(__name,__val)						\
-	extern unsigned int ___sf_##__name(void) __attribute__((const));		\
+	extern unsigned int ___sf_##__name(void) __attribute_const__;		\
 	extern unsigned ___ss_##__name[2];						\
 	extern __inline__ unsigned int ___sf_##__name(void) {				\
 		unsigned int ret;							\
@@ -71,7 +71,7 @@ extern unsigned int ___illegal_use_of_BT
  */
 
 #define BTFIXUPDEF_HALF(__name)								\
-	extern unsigned int ___af_##__name(void) __attribute__((const));		\
+	extern unsigned int ___af_##__name(void) __attribute_const__;		\
 	extern unsigned ___as_##__name[2];						\
 	extern __inline__ unsigned int ___af_##__name(void) {				\
 		unsigned int ret;							\
@@ -79,7 +79,7 @@ extern unsigned int ___illegal_use_of_BT
 		return ret;								\
 	}
 #define BTFIXUPDEF_HALF_INIT(__name,__val)						\
-	extern unsigned int ___af_##__name(void) __attribute__((const));		\
+	extern unsigned int ___af_##__name(void) __attribute_const__;		\
 	extern unsigned ___as_##__name[2];						\
 	extern __inline__ unsigned int ___af_##__name(void) {				\
 		unsigned int ret;							\
@@ -90,7 +90,7 @@ extern unsigned int ___illegal_use_of_BT
 /* Put upper 22 bits into some register variable */
 
 #define BTFIXUPDEF_SETHI(__name)							\
-	extern unsigned int ___hf_##__name(void) __attribute__((const));		\
+	extern unsigned int ___hf_##__name(void) __attribute_const__;		\
 	extern unsigned ___hs_##__name[2];						\
 	extern __inline__ unsigned int ___hf_##__name(void) {				\
 		unsigned int ret;							\
@@ -98,7 +98,7 @@ extern unsigned int ___illegal_use_of_BT
 		return ret;								\
 	}
 #define BTFIXUPDEF_SETHI_INIT(__name,__val)						\
-	extern unsigned int ___hf_##__name(void) __attribute__((const));		\
+	extern unsigned int ___hf_##__name(void) __attribute_const__;		\
 	extern unsigned ___hs_##__name[2];						\
 	extern __inline__ unsigned int ___hf_##__name(void) {				\
 		unsigned int ret;							\
diff -puN include/asm-sparc/pgtable.h~use-attribute-const-everywhere include/asm-sparc/pgtable.h
--- 25/include/asm-sparc/pgtable.h~use-attribute-const-everywhere	Tue Jan 20 12:41:44 2004
+++ 25-akpm/include/asm-sparc/pgtable.h	Tue Jan 20 12:41:44 2004
@@ -80,7 +80,7 @@ BTFIXUPDEF_SIMM13(pmd_shift)
 BTFIXUPDEF_SETHI(pmd_size)
 BTFIXUPDEF_SETHI(pmd_mask)
 
-extern unsigned int pmd_align(unsigned int addr) __attribute__((const));
+extern unsigned int pmd_align(unsigned int addr) __attribute_const__;
 extern __inline__ unsigned int pmd_align(unsigned int addr)
 {
 	return ((addr + ~BTFIXUP_SETHI(pmd_mask)) & BTFIXUP_SETHI(pmd_mask));
@@ -90,7 +90,7 @@ BTFIXUPDEF_SIMM13(pgdir_shift)
 BTFIXUPDEF_SETHI(pgdir_size)
 BTFIXUPDEF_SETHI(pgdir_mask)
 
-extern unsigned int pgdir_align(unsigned int addr) __attribute__((const));
+extern unsigned int pgdir_align(unsigned int addr) __attribute_const__;
 extern __inline__ unsigned int pgdir_align(unsigned int addr)
 {
 	return ((addr + ~BTFIXUP_SETHI(pgdir_mask)) & BTFIXUP_SETHI(pgdir_mask));
@@ -248,19 +248,19 @@ BTFIXUPDEF_HALF(pte_writei)
 BTFIXUPDEF_HALF(pte_dirtyi)
 BTFIXUPDEF_HALF(pte_youngi)
 
-extern int pte_write(pte_t pte) __attribute__((const));
+extern int pte_write(pte_t pte) __attribute_const__;
 extern __inline__ int pte_write(pte_t pte)
 {
 	return pte_val(pte) & BTFIXUP_HALF(pte_writei);
 }
 
-extern int pte_dirty(pte_t pte) __attribute__((const));
+extern int pte_dirty(pte_t pte) __attribute_const__;
 extern __inline__ int pte_dirty(pte_t pte)
 {
 	return pte_val(pte) & BTFIXUP_HALF(pte_dirtyi);
 }
 
-extern int pte_young(pte_t pte) __attribute__((const));
+extern int pte_young(pte_t pte) __attribute_const__;
 extern __inline__ int pte_young(pte_t pte)
 {
 	return pte_val(pte) & BTFIXUP_HALF(pte_youngi);
@@ -271,7 +271,7 @@ extern __inline__ int pte_young(pte_t pt
  */
 BTFIXUPDEF_HALF(pte_filei)
 
-extern int pte_file(pte_t pte) __attribute__((const));
+extern int pte_file(pte_t pte) __attribute_const__;
 extern __inline__ int pte_file(pte_t pte)
 {
 	return pte_val(pte) & BTFIXUP_HALF(pte_filei);
@@ -283,19 +283,19 @@ BTFIXUPDEF_HALF(pte_wrprotecti)
 BTFIXUPDEF_HALF(pte_mkcleani)
 BTFIXUPDEF_HALF(pte_mkoldi)
 
-extern pte_t pte_wrprotect(pte_t pte) __attribute__((const));
+extern pte_t pte_wrprotect(pte_t pte) __attribute_const__;
 extern __inline__ pte_t pte_wrprotect(pte_t pte)
 {
 	return __pte(pte_val(pte) & ~BTFIXUP_HALF(pte_wrprotecti));
 }
 
-extern pte_t pte_mkclean(pte_t pte) __attribute__((const));
+extern pte_t pte_mkclean(pte_t pte) __attribute_const__;
 extern __inline__ pte_t pte_mkclean(pte_t pte)
 {
 	return __pte(pte_val(pte) & ~BTFIXUP_HALF(pte_mkcleani));
 }
 
-extern pte_t pte_mkold(pte_t pte) __attribute__((const));
+extern pte_t pte_mkold(pte_t pte) __attribute_const__;
 extern __inline__ pte_t pte_mkold(pte_t pte)
 {
 	return __pte(pte_val(pte) & ~BTFIXUP_HALF(pte_mkoldi));
@@ -332,7 +332,7 @@ BTFIXUPDEF_CALL_CONST(pte_t, mk_pte_io, 
 
 BTFIXUPDEF_INT(pte_modify_mask)
 
-extern pte_t pte_modify(pte_t pte, pgprot_t newprot) __attribute__((const));
+extern pte_t pte_modify(pte_t pte, pgprot_t newprot) __attribute_const__;
 extern __inline__ pte_t pte_modify(pte_t pte, pgprot_t newprot)
 {
 	return __pte((pte_val(pte) & BTFIXUP_INT(pte_modify_mask)) |
diff -puN include/linux/reiserfs_fs.h~use-attribute-const-everywhere include/linux/reiserfs_fs.h
--- 25/include/linux/reiserfs_fs.h~use-attribute-const-everywhere	Tue Jan 20 12:41:44 2004
+++ 25-akpm/include/linux/reiserfs_fs.h	Tue Jan 20 12:41:44 2004
@@ -90,7 +90,7 @@ if( !( cond ) ) 								\
 #define RFALSE( cond, format, args... ) do {;} while( 0 )
 #endif
 
-#define CONSTF __attribute__( ( const ) )
+#define CONSTF __attribute_const__
 /*
  * Disk Data Structures
  */

_
